# Create an Onboarding Link

Creates a new `OnboardingLink` object that contains a redirect_url used for onboarding onto Tap to Pay on iPhone.

## Returns

Returns an `OnboardingLink` object if creation succeeds.

## Parameters

- `link_options` (object, required)
  Specific fields needed to generate the desired link type.

  - `link_options.apple_terms_and_conditions` (object, optional)
    The options associated with the Apple Terms and Conditions link type.

    - `link_options.apple_terms_and_conditions.merchant_display_name` (string, required)
      The business name of the merchant accepting Apple’s Terms and Conditions.

    - `link_options.apple_terms_and_conditions.allow_relinking` (boolean, optional)
      Whether the link should also support users relinking their Apple account.

- `link_type` (enum, required)
  The type of link being generated.

- `on_behalf_of` (string, optional)
  Stripe account ID to generate the link for.

```curl
curl https://api.stripe.com/v1/terminal/onboarding_links \
  -u "<<YOUR_SECRET_KEY>>" \
  -d "link_options[apple_terms_and_conditions][allow_relinking]=true" \
  -d "link_options[apple_terms_and_conditions][merchant_display_name]=My First Store" \
  -d link_type=apple_terms_and_conditions
```

### Response

```json
{
  "object": "terminal.onboarding_link",
  "link_options": {
    "apple_terms_and_conditions": {
      "allow_relinking": true,
      "merchant_display_name": "My First Store"
    }
  },
  "link_type": "apple_terms_and_conditions",
  "redirect_url": "https://register.apple.com/tap-to-pay-on-iphone/merchantLandingPage"
}
```
